%%% For a B5 format, use the following option  
\documentclass[10pt,makeidx]{phdthesis}

%%% For an A4 format, use there options instead
%\documentclass[12pt,makeidx]{phdthesis}
%\usepackage{a4wide}

%%% Fonts, uncomment only one option %%%
%\usepackage{utopia}
%\usepackage{charter}
\usepackage{palatino}
%\usepackage{cmbright}  % is computer modern bright for text and specail math fonts!
%\usepackage{newcent}
%\usepackage{fouriernc} % is new century schoolbook for text and fourier font for maths!
%\usepackage{newcent}
%\usepackage{avant}
%\usepackage{pifont}
%\usepackage{mathpple}
%\usepackage{mathptmx}


%%% If you want to use MakeIndex to create automatically
% an index, uncomment these lines
\usepackage{makeidx}     % only with Latex2e
\makeindex

% Other packages
\usepackage{fancyheadings}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{epsfig}
\usepackage{subfigure}
\usepackage{graphics}
\usepackage{float}
\usepackage{./Stylefiles/here}
\usepackage[abbr]{harvard}
\usepackage{rotating}
\usepackage{multirow}
\usepackage{comment}
\usepackage{./Stylefiles/captionhack}
\usepackage{epigraph}


\renewcommand{\thesubfigure}{} 


% Section and Subsection Title Formatting
%\usepackage{titlesec}
%\titleformat{\section}{\sf\large\bfseries}{\thesection}{1em}{}
%\titleformat{\chapter}{\sf\Large\bfseries}{\thechapter}{1em}{}
%\titleformat{\subsection}{\sf\normal\bfseries}{\thesubsection}{1em}{}

% things for PDF and hyperref

\usepackage[ps2pdf=true,colorlinks]{hyperref}
%\usepackage[figure,table]{hypcap} % Correct a problem with hyperref
\hypersetup{
   bookmarksnumbered,
   pdfstartview={FitH},
   citecolor={black},
   linkcolor={black},
   urlcolor={black},
   pdfpagemode={UseOutlines}
}

\makeatletter
\newcommand\org@hypertarget{}
\let\org@hypertarget\hypertarget
\renewcommand\hypertarget[2]{%
\Hy@raisedlink{\org@hypertarget{#1}{}}#2%
} \makeatother

%%% General page formatting
\renewcommand{\textfraction}{0.01}
\renewcommand{\topfraction}{0.99}
\renewcommand{\floatpagefraction}{0.99}
\renewcommand{\bottomfraction}{0.99}

\newenvironment{Abstract}
{\begin{center}\textbf{Abstract}%
 \end{center} \small \it \begin{quote}}
{\end{quote}}


\pdfcompresslevel=3

\typeout{Dissertation}

%%% To compile only one or some chapters, use the following
%   command 
%\includeonly{chapter_1,chapter_2,chapter_3,chapter_4,appendix_A}
%\includeonly{thesis_acknowledgements,chapter_3}



%%% Begining of the document 
\begin{document}
%% settings for heading - causes strange output!
%\setlength{\headrulewidth}{0.3pt} - check
%\setlength{\footrulewidth}{0.0pt} - check
%\setlength{\plainfootrulewidth}{0.0pt} - check
%\setlength{\plainheadrulewidth}{0pt} - check
\renewcommand{\sectionmark}[1]{\markright{\it \thesection.\ #1}}
\renewcommand{\chaptermark}[1]{\markboth{
       \it \thechapter.\ #1}{}}



\pagestyle{fancyplain}
\pagenumbering{roman}


%%% Definition of maths stuff
%    Enclose the argument in vert-bar delimiters:
\newcommand{\envert}[1]{\left|#1\right|}
\let\abs=\envert

%    Enclose the argument in double-vert-bar delimiters:
\newcommand{\enVert}[1]{\left\|#1\right\|}
\let\norm=\enVert

%    Commands used in this document:
\newcommand{\diff}{\mathrm{d}}
\def\i{\mathrm{i}}
\def\j{\mathrm{j}}
\def\e{\mathrm{e}}
% \newcommand{\dfrac}[2]{\displaystyle\frac{#1}{#2}}
\let\epsilon=\varepsilon
\newcommand{\la}{\langle}
\newcommand{\ra}{\rangle}

\newcommand{\Emax}{\ensuremath{E_{\mathrm{max}}}}
\newcommand{\me}{m_{\mathrm{e}}}
\newcommand{\mx}{m_{\mathrm{x}}}
\newcommand{\NAv}{N_{\mathrm{Av}}}

%    Make sure to use an upright Delta for the Laplace operator:
\ifx\upDelta\undefined\let\Laplace=\Delta\else\let\Laplace=\upDelta\fi

%    Use hbar in place of hslash, of the latter is not available:
\ifx\hslash\undefined\let\hslash=\hbar\fi



%%%  \include the `front matter'
\include{./Thesis.Cover/cover}
%\include{thesis_front}
%\include{thesis_dedication}

%% create the table of contents
\cleardoublepage
\lhead[]{\fancyplain{}{\rightmark}}
\chead[\fancyplain{}{}]{\fancyplain{}{}}
\rhead[\fancyplain{}{\leftmark}]{\fancyplain{}{}}
%\rhead[\fancyplain{}{}]{\fancyplain{}{}}
%\lhead[\fancyplain{}{}]{\fancyplain{}{}}
\pdfbookmark[0]{Contents}{contents} % Sets a PDF bookmark for the contents page

%\tableofcontents

%%  add the acknowledgements to the table of contents
\cleardoublepage
%\addcontentsline{toc}{chapter}{Acknowledgements}
%\include{./Acknowledgments/Thesis.Acknowledgements}

\cleardoublepage

%%% Customisation of the header and footer for the chapters
%\pagestyle{headings}
%------------------------------
\newcommand{\publ}{}

\pagestyle{fancyplain}
\lhead[\thepage]{\fancyplain{\publ}{\rightmark}}
\chead[\fancyplain{}{}]{\fancyplain{}{}}
\rhead[\fancyplain{}{\leftmark}]{\fancyplain{}{\thepage}}
\lfoot[]{}
\cfoot[]{}
\rfoot[]{}
%------------------------------


%%  include the LaTeX files containing the text for each chapters 
%   create the appendix and include it 
\pagenumbering{arabic}
%\include{./General.Theory/DFT/DFT.Introduction}
\include{./Ag.Cu-System/Introduction/Ag.Cu.Introduction}
\appendix
%\include{appendix_A}

%% include the bibliography
\renewcommand{\publ}{}
\cleardoublepage
\small
\addcontentsline{toc}{chapter}{Bibliography}
\bibliography{./Bibliography/Full_Library.bib}

%%%  options for the bibliography style 

\bibliographystyle{plain} 
%\bibliographystyle{newagsm} 
%\bibliographystyle{mykluwer} 
%\bibliographystyle{IEEE} 

% include the index
\cleardoublepage
\addcontentsline{toc}{chapter}{Index}
%\printindex

\end{document}
